Webhook Receiver PROD

Reindex entries

post
https://api.migros.ch/migros/enterprise-support/content/v1/reindex/entry

Body

application/json

ReindexPayload

apiTypestring

Contentful API type to use

Allowed values:previewdelivery

contentTypestringrequired

Contentful content type

Example:article

environmentIdstringrequired

Contentful environment id

Example:staging

spaceIdstringrequired

Contentful space id

Example:7b58bfib3n9x

Response

application/json

Reindex request accepted

processedbooleanrequired
processingTimeMsnumberrequired
post/migros/enterprise-support/content/v1/reindex/entry

Body

{ "contentType": "article", "environmentId": "staging", "spaceId": "7b58bfib3n9x" }
 
application/json

The endpoint receives Contentful webhooks, maps them, and writes the necessary data to Elasticsearch.

post
https://api.migros.ch/migros/enterprise-support/content/v1/webhooks/contentful/receive

Headers

x-contentful-topicstringrequired

This value originates from Contentful and contains the event type. Example: ContentManagement.Entry.auto_save

Body

application/json

ContentfulPayloadDto

contentTypestringrequired

Contentful content type

Example:article

entryIdstringrequired

Contentful entry id

Example:3aVP1JMlTfho9xXBcikB6o

environmentIdstringrequired

Contentful environment id

Example:staging

revisionnumber

Contentful entry revision

Example:5

spaceIdstringrequired

Contentful space id

Example:7b58bfib3n9x

Response

Webhook processed successfully

post/migros/enterprise-support/content/v1/webhooks/contentful/receive

Body

{ "contentType": "article", "entryId": "3aVP1JMlTfho9xXBcikB6o", "environmentId": "staging", "spaceId": "7b58bfib3n9x" }
 

The endpoint receives internal webhooks for testing purposes.

post
https://api.migros.ch/migros/enterprise-support/content/v1/webhooks/receive

Headers

x-contentful-topicstringrequired

This value originates from Contentful and contains the event type. Example: ContentManagement.Entry.auto_save

Body

application/json

ContentfulPayloadDto

contentTypestringrequired

Contentful content type

Example:article

entryIdstringrequired

Contentful entry id

Example:3aVP1JMlTfho9xXBcikB6o

environmentIdstringrequired

Contentful environment id

Example:staging

revisionnumber

Contentful entry revision

Example:5

spaceIdstringrequired

Contentful space id

Example:7b58bfib3n9x

Response

Webhook processed successfully

post/migros/enterprise-support/content/v1/webhooks/receive

Body

{ "contentType": "article", "entryId": "3aVP1JMlTfho9xXBcikB6o", "environmentId": "staging", "spaceId": "7b58bfib3n9x" }
 

ContentfulApiHealthReportDto

object
doesSpaceExistbooleanrequired

The space ID for the Contentful API

Default:false

Example:true

isKeyValidbooleanrequired

The key for accessing the Contentful API

Default:false

Example:true

isServiceAvailablebooleanrequired

Status about the connection to the endpoint

Default:false

Example:true

Example

ContentfulPayloadDto

object
contentTypestringrequired

Contentful content type

Example:article

entryIdstringrequired

Contentful entry id

Example:3aVP1JMlTfho9xXBcikB6o

environmentIdstringrequired

Contentful environment id

Example:staging

revisionnumber

Contentful entry revision

Example:5

spaceIdstringrequired

Contentful space id

Example:7b58bfib3n9x

Example